summaryrefslogtreecommitdiffstats
path: root/debian/scripts/decrypt_gnupg
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 08:04:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 08:04:29 +0000
commit409ea80402885dd937c6c37e4648d2afb7500414 (patch)
treeaf4ae653b1affe4e7190dd3854b2e2b029d71a36 /debian/scripts/decrypt_gnupg
parentAdding upstream version 2:2.6.1. (diff)
downloadcryptsetup-409ea80402885dd937c6c37e4648d2afb7500414.tar.xz
cryptsetup-409ea80402885dd937c6c37e4648d2afb7500414.zip
Adding debian version 2:2.6.1-6.debian/2%2.6.1-6
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/scripts/decrypt_gnupg')
-rw-r--r--debian/scripts/decrypt_gnupg26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/scripts/decrypt_gnupg b/debian/scripts/decrypt_gnupg
new file mode 100644
index 0000000..18ab575
--- /dev/null
+++ b/debian/scripts/decrypt_gnupg
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+decrypt_gpg () {
+ echo "Performing GPG symmetric decryption ..." >&2
+ if ! /lib/cryptsetup/askpass "Enter passphrase for key $1: " | \
+ /usr/bin/gpg -q --batch --no-options \
+ --no-random-seed-file --no-default-keyring \
+ --keyring /dev/null --secret-keyring /dev/null \
+ --trustdb-name /dev/null --passphrase-fd 0 --decrypt -- "$1"; then
+ return 1
+ fi
+ return 0
+}
+
+if [ ! -x /usr/bin/gpg ]; then
+ echo "$0: /usr/bin/gpg is not available" >&2
+ exit 1
+fi
+
+if [ -z "$1" ]; then
+ echo "$0: missing key as argument" >&2
+ exit 1
+fi
+
+decrypt_gpg "$1"
+exit $?